gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for the Gtk object hierarchy. Base object for the Gtk object hierarchy.

The differences between Gtk.Object and GLib. is a historical one, and it matters little in Gtk#.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void Request all holders to the object to release the reference. This method is used to notify objects that might hold a reference to this object to release the reference.

  This invokes the method and triggers the event.

  The object is only destroyed if all the references to the object are released, this is just a mechanism to request that references be released.

- Method
  System.Void To be added To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Object, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.IntPtr Helper property to associate information with an object. The value to store/retrieve This is not very useful with the Gtk# binding as it is with the C binding.
- Event
  System.EventHandler Raised to signal that all references to this object should be removed. This event is triggered if someone has invoked the 's method. It is used to inform that all references to the object must be discarded at this point.
- Property
  System.IntPtr To be added a To be added
- Method
  System.Void Invoked to request that references to the object be released. This method is invoked when someone has called the 's method. Any references to the object held should be released at this point.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Internal.
  a
  Internal constructor.
- Property
  System.Boolean Determines if the object reference is floating. a An object is floating until it is added to a container which claims ownership of the floating reference.
- Method
  System.Void `` `` `` `` To be added a a a a To be added
- Method
  System.Void To be added To be added
- Method
  Gtk.Object To be added a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.IntPtr `` To be added a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.IntPtr `` To be added a a To be added
- Method
  System.Void `` To be added a To be added